> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get libraryv2beta1suggest

> Suggest libraries from the domain



## OpenAPI

````yaml /openapis/library.json get /library/v2beta1/suggest
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: library
    description: >-
      Lets you list existing libraries, create new libraries, get storage
      account e-mail (beta version, subject to change)
paths:
  /library/v2beta1/suggest:
    get:
      tags:
        - library
      description: Suggest libraries from the domain
      operationId: library:v2beta1.Library.suggest
      parameters:
        - $ref: '#/components/parameters/query_query_parameter'
        - $ref: '#/components/parameters/useSuperAdminAccess_query_parameter'
        - $ref: '#/components/parameters/minimumCurrentUserRole_query_parameter'
        - $ref: '#/components/parameters/withHidden_query_parameter'
        - $ref: '#/components/parameters/libTypes_query_parameter'
        - $ref: '#/components/parameters/storageAccount_query_parameter'
        - $ref: '#/components/parameters/labelIds_query_parameter'
        - $ref: '#/components/parameters/appMetadataTags_query_parameter'
        - $ref: '#/components/parameters/limit_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      responses:
        '200':
          description: A ApiLibrarySuggestionCollection response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiLibrarySuggestionCollection'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    query_query_parameter:
      name: query
      in: query
      description: >-
        Terms to search in the library name (will match word prefixes).

        You can search for exact phrases by quoting the whole parameter
        (example: "exact search" => will search for the whole words 'exact
        search' next to each other).

        You can also use the stemming operator to search for alternative forms
        of the search terms (example: ~"dog eat" => will also search for the
        dogs, eating in any order)
      required: false
      schema:
        type: string
    useSuperAdminAccess_query_parameter:
      name: useSuperAdminAccess
      in: query
      description: (Super-admin only) Return libraries accessible with super admin role
      required: false
      schema:
        type: boolean
        default: false
    minimumCurrentUserRole_query_parameter:
      name: minimumCurrentUserRole
      in: query
      description: >-
        Return only libraries with at least this role for the current user. Only
        ADMIN, WRITER, READER are valid values
      required: false
      schema:
        type: string
        enum:
          - NONE
          - READER
          - COMMENTER
          - PROPERTY_EDITOR
          - ATTACHMENT_EDITOR
          - WRITER
          - ADMIN
          - SUPER_ADMIN
        default: READER
    withHidden_query_parameter:
      name: withHidden
      in: query
      description: Return libraries that would be hidden from the current user.
      required: false
      schema:
        type: boolean
        default: false
    libTypes_query_parameter:
      name: libTypes
      in: query
      description: Return libraries of these types
      required: false
      explode: true
      schema:
        type: array
        items:
          type: string
          enum:
            - DMS
            - SF
            - TF
    storageAccount_query_parameter:
      name: storageAccount
      in: query
      description: Return only libraries of this storage account
      required: false
      schema:
        type: string
    labelIds_query_parameter:
      name: labelIds
      in: query
      description: Return libraries with at least one of these labels
      required: false
      explode: true
      schema:
        type: array
        items:
          type: string
    appMetadataTags_query_parameter:
      name: appMetadataTags
      in: query
      description: >-
        Return the libraries with all the provided app metadata tags.

        App metadata tags can be queried at three levels with the following
        syntax: 'appNamespaceId', 'appNamespaceId.tagName' or
        'appNamespaceId.tagName:tagValue'.

        App metadata tags can be excluded by adding a '-' character before the
        tag name ('-appNamespaceId', '-appNamespaceId.tagName' or
        '-appNamespaceId.tagName:tagValue').
      required: false
      explode: true
      schema:
        type: array
        items:
          type: string
    limit_query_parameter:
      name: limit
      in: query
      description: The maximum number of items to return(defaults to 20, max 1000)
      required: false
      schema:
        type: integer
        format: int32
        default: 20
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiLibrarySuggestionCollection:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ApiLibrarySuggestion'
      description: An ordered list of ApiLibrarySuggestion
    ApiLibrarySuggestion:
      type: object
      properties:
        currentUserRole:
          type: string
          description: Permission of the current user on the library.
          enum:
            - NONE
            - READER
            - COMMENTER
            - PROPERTY_EDITOR
            - ATTACHMENT_EDITOR
            - WRITER
            - ADMIN
            - SUPER_ADMIN
        folderVisibility:
          type: string
          description: Visibility of the folders of this library in Drive.
          enum:
            - PRIVATE
            - PUBLIC
            - PUBLICLY_EDITABLE
        hidden:
          type: boolean
          description: Whether the library is hidden from the current user in listings.
        id:
          type: string
          description: Id of the library
        kind:
          type: string
        labelIds:
          type: array
          description: Ids of the labels of the library.
          items:
            type: string
        libraryType:
          type: string
          description: Type of library (DMS, SF or TF)
          enum:
            - DMS
            - SF
            - TF
        logoUrl:
          type: string
          description: Url of the logo of the library. Empty if the logo is not customized.
        name:
          type: string
          description: Name of the library.
        objectStorageLocation:
          type: string
          description: >-
            Location of the bucket to store attachments, either a customer owned
            bucket or a AODocs owned bucket(AODOCS_MANAGED)
        onlyAdminsCanManageFolders:
          type: boolean
          description: Whether only administrators can edit the folders of this library.
        rootFolderId:
          type: string
          description: Id of the root folder of the library.
        storageAccount:
          type: string
          description: Storage account of the library (email address).
      description: A library suggestion
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````